Skip to main content
GET
/
v6
/
tasks
/
{id}
Get task
curl --request GET \
  --url https://sandbox.tight.com/v6/tasks/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.tight.com/v6/tasks/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.tight.com/v6/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "tsk_123456789",
    "name": "Transaction Review Required",
    "description": "You have 5 transactions that require review",
    "shortDescription": "Stay up-to-date on 5 transactions",
    "priority": "HIGH",
    "type": "TRANSACTION_REVIEW",
    "dismissable": "true",
    "status": "ACTIVE"
  },
  "error": [
    {
      "message": "<string>",
      "param": "<string>"
    }
  ]
}
{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Path Parameters

id
string
required

The id of the task

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.

error
object[]